import { GraphQLSchema } from 'graphql';
import { EnumFormat } from '../../types';
export interface ScalarDefinition {
    name: string;
    package?: string;
}
export interface Options {
    enumFormat?: EnumFormat;
    customScalars?: {
        [key: string]: ScalarDefinition;
    };
}
export declare function generateSchemaTypes(schema: GraphQLSchema, options?: Options): Map<string, string>;
